http://iot.{region}.amazonaws.com/detect/mitigationactions/executions<p> Lists mitigation actions executions for a Device Defender ML Detect Security Profile. </p> <p>Requires permission to access the <a href="https://docs.aws.amazon.com/service-authorization/latest/reference/list_awsiot.html#awsiot-actions-as-permissions">ListDetectMitigationActionsExecutions</a> action.</p>
The unique identifier of the task.
The unique identifier of the violation.
The name of the thing whose mitigation actions are listed.
A filter to limit results to those found after the specified time. You must specify either the startTime and endTime or the taskId, but not both.
The end of the time period for which ML Detect mitigation actions executions are returned.
The maximum number of results to return at one time. The default is 25.
The token for the next set of results.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://iot.{region}.amazonaws.com/detect/mitigationactions/executions' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://iot.{region}.amazonaws.com/detect/mitigationactions/executions<p> Lists mitigation actions executions for a Device Defender ML Detect Security Profile. </p> <p>Requires permission to access the <a href="https://docs.aws.amazon.com/service-authorization/latest/reference/list_awsiot.html#awsiot-actions-as-permissions">ListDetectMitigationActionsExecutions</a> action.</p>
The unique identifier of the task.
The unique identifier of the violation.
The name of the thing whose mitigation actions are listed.
A filter to limit results to those found after the specified time. You must specify either the startTime and endTime or the taskId, but not both.
The end of the time period for which ML Detect mitigation actions executions are returned.
The maximum number of results to return at one time. The default is 25.
The token for the next set of results.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://iot.{region}.amazonaws.com/detect/mitigationactions/executions' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}